import { interfaces } from "inversify/dts/interfaces/interfaces";
import { ErrorInterceptor } from "../../error/ErrorInterceptor";
/**
 * Decorator for an endpoint method that configures the type to use to intercept errors.
 *
 * Overrides the controller error interceptor set by the `controllerErrorInterceptor` decorator, if any.
 *
 * Error interceptors instances are built using the InversifyJS IOC container for the current app.
 */
export declare function errorInterceptor(interceptor: interfaces.ServiceIdentifier<ErrorInterceptor>): (classDefinition: Object | Function, methodName: string) => void;
/**
 * Decorator for a controller class that configures the type to use to intercept errors.
 *
 * Error interceptors instances are built using the current app InversifyJS IOC container.
 */
export declare function controllerErrorInterceptor(interceptor: interfaces.ServiceIdentifier<ErrorInterceptor>): (classDefinition: Function) => void;
