import { AuthFilterInfo } from "../../model/open-api/AuthFilterInfo";
import { ControllerInfo } from "../../model/reflection/ControllerInfo";
import { EndpointInfo } from "../../model/reflection/EndpointInfo";
import { IDictionary } from "../../util/IDictionary";
import { ILogger } from "../../util/logging/ILogger";
import { LogFactory } from "../../util/logging/LogFactory";
export declare class DecoratorRegistry {
    private static logger;
    static readonly Endpoints: IDictionary<EndpointInfo>;
    static readonly Controllers: IDictionary<ControllerInfo>;
    static readonly AuthFilters: IDictionary<AuthFilterInfo>;
    static getLogger(): ILogger;
    static setLogger(logFactory: LogFactory): void;
    static getOrCreateController(constructor: Function): ControllerInfo;
    static getOrCreateEndpoint(controller: ControllerInfo, methodName: string): EndpointInfo;
    static getOrCreateAuthFilter(constructor: Function): AuthFilterInfo;
}
